Subject: Re: linux-next: build failure after merge of the gpio tree

From: Mark Brown <[email-masked]>
Date: Sat, 4 Feb 2012 12:10:24 +0000

On Fri, Feb 03, 2012 at 04:18:08PM -0700, Grant Likely wrote:

> I've dropped the patch from my tree.  Looks like there are still a few
> drivers that need to be either fixed up or made "depends on
> ARCH_HAVE_CUSTOM_GPIO_H".

Would it not be better to add a followup patch replacing the removed
headers with something like:

  #ifndef __LINUX_GPIO_H
  #warn Don't include asm/gpio.h directly, include linux/gpio.h instead
  #endif

instead?  Perhaps even without the ifdef.  That will mean we still get
rid of the boilerplate and will encourage fixups to drivers, nothing
that hits these can be relying on a custom implementation since all the
headers concerned are boilerplate ones.